Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
New Developer
Posts: 22
Registered: ‎05-04-2010
My Device: Blackberry Torch and Playbook
My Carrier: Wireless Technology

Fatal error while running Cascades project on BB 10 device

Hi All,

Am getting error "ldd:FATAL: Could not load library libbb.so.0" when running Cascades project but the other native project runs fine on the device. Can anyone help me in solving this issue?

 

I updated my BB 10 OS to the latest.

 

Thanks,

Vinoth

Developer
Posts: 6,473
Registered: ‎12-08-2010
My Device: PlayBook, Z10
My Carrier: none

Re: Fatal error while running Cascades project on BB 10 device

Does this post and subsequent responses help? http://supportforums.blackberry.com/t5/Cascades-Development/My-beta1-app-won-t-open-when-compiled-an...


Peter Hansen -- (BB10 and dev-related blog posts at http://peterhansen.ca.)
Author of White Noise and Battery Guru for BB10 and for PlayBook | Get more from your battery!
New Developer
Posts: 22
Registered: ‎05-04-2010
My Device: Blackberry Torch and Playbook
My Carrier: Wireless Technology

Re: Fatal error while running Cascades project on BB 10 device

Thanks for your help peter, I will try upgrading my development environment. is there any way to update my IDE other than downloading it again? its really difficult to download the IDE(947 MB) for every update.

 

But am still confused why is't stopped working after the device upgrade?

Developer
Posts: 6,473
Registered: ‎12-08-2010
My Device: PlayBook, Z10
My Carrier: none

Re: Fatal error while running Cascades project on BB 10 device

The device no longer has the libbb.so.0 version of the file, so that would likely be why it stopped working.

Peter Hansen -- (BB10 and dev-related blog posts at http://peterhansen.ca.)
Author of White Noise and Battery Guru for BB10 and for PlayBook | Get more from your battery!